import { error } from '@sveltejs/kit';

/** @type {import('./$types').PageServerLoad} */
export const load = async ({ locals }) => {


  throw error(404, "error");
};

/** @type {import('./$types').Actions} */
export const actions = {
  add: async ({ request, locals }) => {
    const form = await request.formData();

    await api('POST', `todos/${locals.userid}`, {
      text: form.get('text')
    });
  },
  edit: async ({ request, locals }) => {
    const form = await request.formData();

    await api('PATCH', `todos/${locals.userid}/${form.get('uid')}`, {
      text: form.get('text')
    });
  },
  toggle: async ({ request, locals }) => {
    const form = await request.formData();

    await api('PATCH', `todos/${locals.userid}/${form.get('uid')}`, {
      done: !!form.get('done')
    });
  },
  delete: async ({ request, locals }) => {
    const form = await request.formData();

    await api('DELETE', `todos/${locals.userid}/${form.get('uid')}`);
  }
};
